---
updatedAt: 2025-09-24T00:07:07.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get accounts information

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/accounts-information": {
      "get": {
        "summary": "Get accounts information",
        "description": "",
        "operationId": "get-accounts-information",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"item_id\": 5869768,\n      \"first_name\": \"JEAN\",\n      \"last_name\": \"DUPONT\",\n      \"accounts\": [\n        {\n          \"id\": 27341559,\n          \"name\": \"Compte Courant de MR DUPONT\",\n          \"type\": \"checking\",\n          \"currency_code\": \"EUR\",\n          \"bank_id\": 6,\n          \"iban\": \"FR3312739000309854725191G90\"\n        }\n      ]\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "resources": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "item_id": {
                            "type": "integer",
                            "example": 5869768,
                            "default": 0
                          },
                          "first_name": {
                            "type": "string",
                            "example": "JEAN"
                          },
                          "last_name": {
                            "type": "string",
                            "example": "DUPONT"
                          },
                          "accounts": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "integer",
                                  "example": 27341559,
                                  "default": 0
                                },
                                "name": {
                                  "type": "string",
                                  "example": "Compte Courant de MR DUPONT"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "checking"
                                },
                                "currency_code": {
                                  "type": "string",
                                  "example": "EUR"
                                },
                                "bank_id": {
                                  "type": "integer",
                                  "example": 6,
                                  "default": 0
                                },
                                "iban": {
                                  "type": "string",
                                  "example": "FR3312739000309854725191G90"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.bridgeapi.io/v2/accounts-information\" \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```